Bug 1667409 (CVE-2019-6251)

Summary: CVE-2019-6251 webkitgtk: processing maliciously crafted web content lead to URI spoofing
Product: [Other] Security Response Reporter: Dhananjay Arunesh <darunesh>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: erack, erik-fedora, extras-orphan, gnome-sig, mcatanzaro, tpopela, tuxator
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20180911,reported=20190115,source=cve,cvss3=4.3/CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:L/A:N,cwe=CWE-20,fedora-all/mingw-webkitgtk=affected,epel-7/mingw-webkitgtk=new,epel-7/mingw-webkitgtk3=new,rhel-6/webkitgtk=new,rhel-7/webkitgtk=new,rhel-7/webkitgtk3=new,rhel-7/webkitgtk4=new,rhel-8/webkit2gtk3=new,fedora-all/webkit2gtk3=affected
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1709313, 1709314, 1709315, 1717747    
Bug Blocks: 1709300    

Description Dhananjay Arunesh 2019-01-18 11:56:17 UTC
embed/ephy-web-view.c in GNOME Web (aka Epiphany) through 3.31.4 allows address
bar spoofing because a page load triggered by JavaScript leads to updating an
address as if it were triggered by a safer visit type (e.g., VISIT_LINK,
VISIT_TYPED, VISIT_BOOKMARK, or VISIT_HOMEPAGE).

Upstream issue:
https://gitlab.gnome.org/GNOME/epiphany/issues/532

Comment 1 Dhananjay Arunesh 2019-01-18 11:56:31 UTC
Created epiphany tracking bugs for this issue:

Affects: fedora-all [bug 1667410]

Comment 2 Michael Catanzaro 2019-04-11 16:31:18 UTC
Note the CVE description and affected component are wrong. Affected component is WebKitGTK. Suggested description:

Processing maliciously crafted web content may lead to spoofing. WebKitGTK and WPE WebKit were vulnerable to a URI spoofing attack similar to the CVE-2018-8383 issue in Microsoft Edge.

Comment 3 Michael Catanzaro 2019-04-11 16:35:06 UTC
Better upstream issue: https://bugs.webkit.org/show_bug.cgi?id=194208

Comment 4 Dhananjay Arunesh 2019-05-13 11:11:27 UTC
Earlier this flaw was filed with wrong description and wrong component as reported.
Updated with correct information:

CVE-2019-6251:
Processing maliciously crafted web content may lead to spoofing. WebKitGTK and WPE WebKit were vulnerable to a URI spoofing attack similar to the CVE-2018-8383 issue in Microsoft Edge.

Reference:
https://webkitgtk.org/security/WSA-2019-0002.html
https://wpewebkit.org/security/WSA-2019-0002.html

Comment 5 Dhananjay Arunesh 2019-05-13 11:45:37 UTC
Created mingw-webkitgtk tracking bugs for this issue:

Affects: fedora-all [bug 1709313]

Comment 6 Dhananjay Arunesh 2019-05-13 11:46:29 UTC
Created mingw-webkitgtk tracking bugs for this issue:

Affects: epel-7 [bug 1709314]


Created mingw-webkitgtk3 tracking bugs for this issue:

Affects: epel-7 [bug 1709315]

Comment 7 Dhananjay Arunesh 2019-06-06 05:35:41 UTC
Created webkit2gtk3 tracking bugs for this issue:

Affects: fedora-all [bug 1717747]